Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.complex
Interface Composite

All Superinterfaces:
  Complex, Geometry, TransfiniteSet

All Known Subinterfaces:
  CompositeCurve, CompositePoint, CompositeSolid, CompositeSurface, Ring, Shell

    @UML(identifier="GM_Composite",
         specification=ISO_19107)
    public interface Composite

extends Complex

A geometric complex with an underlying core geometry that is isomorphic to a primitive. Thus, a composite curve is a collection of curves whose geometry interface could be satisfied by a single curve (albeit a much more complex one). Composites are intended for use as attribute values in datasets in which the underlying geometry has been decomposed, usually to expose its topological nature.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`Collection<? extends Primitive>` | `getGenerators()` Returns a homogeneous collection of primitives whose union would be the core geometry of the composite.

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getGenerators

    @Association(value="Composition")
    @UML(identifier="generator",
         obligation=MANDATORY,
         specification=ISO_19107)
    Collection<? extends Primitive> getGenerators()

  Returns a homogeneous collection of primitives whose union would be the core geometry of the composite. The complex would include all primitives in the generator and all primitives on the boundary of these primitives, and so forth until points are included. Thus the `generators` on `Composite` is a subset of the elements on complex.

  Returns:
    The list of primitives in this composite.
  See Also:
    `getGenerators()`, `getGenerators()`, `getGenerators()`, `getGenerators()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.